/*
 * Copyright (C) 2020, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "globalsizedata.h"

// 主题色
int GlobalSizeData::THEME_COLOR = GlobalSizeData::UKUILight;

// 毛玻璃透明度
double GlobalSizeData::BLUR_TRANSPARENCY = 150;

// 主界面
const int GlobalSizeData::WINDOW_WIDTH  = 350;
const int GlobalSizeData::WINDOW_HEIGHT = 686;

// 标题栏
const int GlobalSizeData::TITLEBAR_HEIGHT = 40;

// 本机信息
const int   GlobalSizeData::LOCALINFO_HEIGHT = 140;
const QSize GlobalSizeData::AVATAR_LAB_SIZE    = QSize(60, 60);
const QSize GlobalSizeData::USER_NAME_LAB_SIZE = QSize(90, 30);
const QSize GlobalSizeData::USER_IP_LAB_SIZE   = QSize(170, 20);
const QSize GlobalSizeData::CHANGE_NAME_BTN_SIZE = QSize(25, 25);
const QSize GlobalSizeData::CHANGE_NAME_BTN_ICON = QSize(16, 16);
const QSize GlobalSizeData::OPEN_FOLDER_BTN_SIZE = QSize(25, 25);
const QSize GlobalSizeData::OPEN_FOLDER_BTN_ICON = QSize(16, 16);
const QSize GlobalSizeData::SEARCH_EDIT_SIZE = QSize(334, 36);

// 好友列表
const int GlobalSizeData::FRIEND_LIST_HEIGHT = 506;

// 所选消息框坐标及尺寸
QPoint GlobalSizeData::BORDER_POINT = QPoint(0, 0);
QSize  GlobalSizeData::BORDER_SIZE  = QSize(0, 0);
